| Apache Ignite C++

Public Member Functions | Friends | List of all members
ignite::binary::BinaryObject Class Reference

Binary object. More...

`#include <binary_object.h>`

## Public Member Functions
| BinaryObject (const BinaryObject &other)
| Copy constructor. More...
BinaryObject & | operator= (const BinaryObject &other)
| Assignment operator. More...
template<typename T >
T | Deserialize () const
| Deserialize object. More...
template<typename T >
T | GetField (const char *name) const
| Get field. More...
bool | HasField (const char *name) const
| Check if the binary object has the specified field. More...
template<>
BinaryObject | GetField (const char *name) const

## Friends
class | ignite::impl::binary::BinaryWriterImpl

## Detailed Description

Binary object.

This is a thin wrapper over the memory area that contains serialized binary object. Provides method that allows deserialize object.

## Constructor & Destructor Documentation

## ◆ BinaryObject()

ignite::binary::BinaryObject::BinaryObject | ( | const BinaryObject & | other | ) |
| inline

Copy constructor.

Parameters

  other | Another instance.

## Member Function Documentation

## ◆ Deserialize()

template<typename T >

T ignite::binary::BinaryObject::Deserialize | ( |  | ) | const
| inline

Deserialize object.

Exceptions

  IgniteError | if the object can not be deserialized to specified type.

Returns
  Deserialized value.

## ◆ GetField()

template<typename T >

T ignite::binary::BinaryObject::GetField | ( | const char * | name | ) | const
| inline

Get field.

Exceptions

  IgniteError | if the there is no specified field or if it is not of the specified type.

Parameters

  name | Field name.

Returns
  Field value.

## ◆ HasField()

bool ignite::binary::BinaryObject::HasField | ( | const char * | name | ) | const
| inline

Check if the binary object has the specified field.

Parameters

  name | Field name.

Returns
  True if the binary object has the specified field and false otherwise.

## ◆ operator=()

BinaryObject& ignite::binary::BinaryObject::operator= | ( | const BinaryObject & | other | ) |
| inline

Assignment operator.

Parameters

  other | Another instance.

Returns
  *this.

The documentation for this class was generated from the following file:

- binary_object.h